#
# Copyright (c) 2000-2006 LAAS/CNRS 
#
# Matthieu Herrb - Wed Aug 30 2000
#
# $Id: main.tcl,v 1.4 2006/06/06 16:19:24 matthieu Exp $
#

package provide Grh2::main 1.0

package require Grh2
package require BWidget

# load various library functions
package require Grh2::canvas
package require Grh2::coord
package require Grh2::tk_entrydialog

#
# Creation de la fenetre principale
#
namespace eval Grh2 {
}

proc Grh2::mainWindow { } {

    set descmenu {
	"&File" all file 0 {
	    {command "E&xit" {} "Exit Grh2" {} -command Grh2::exit}
	}
	"&Tools" all tools 0 {
	    {radiobutton "Select" {} "Select" {} \
		 -variable Grh2::tool -value 0 -command Grh2::select \
		 -state active }
	    {radiobutton "Zoom &in" {} "Zoom in" {} \
		 -variable Grh2::tool -value 1 -command Grh2::zoomin }
	    {radiobutton "Zoom &out" {} "Zoom out" {} \
		 -variable Grh2::tool  -value 2 -command Grh2::zoomout }
	}
	"&Help" all help 0 { 
	    {command "&About" {} "About Grh2" {} -command Grh2::aboutBox}
	}
    }
    set ::Grh2::mainframe [ MainFrame .mainframe \
		       -menu $descmenu \
		       -textvariable Grh2::status \
		       -progressvar Grh2::progress]
    # Toolbar
    set Grh2::toolbar [$Grh2::mainframe addtoolbar]
    set Grh2::toolbox [ButtonBox $Grh2::toolbar.bbox -spacing 0 -padx 1 -pady 1]
    $Grh2::toolbox add -image [Bitmap::get $Grh2dir/icons/select] \
        -highlightthickness 0 -takefocus 0 -borderwidth 1 -padx 1 -pady 1 \
	-helptext "Select objects" -command Grh2::select
    $Grh2::toolbox add -image [Bitmap::get $Grh2dir/icons/zoomIn] \
        -highlightthickness 0 -takefocus 0 -borderwidth 1 -padx 1 -pady 1 \
	-helptext "Zoom in" -command Grh2::zoomin
    $Grh2::toolbox add -image [Bitmap::get $Grh2dir/icons/zoomOut] \
        -highlightthickness 0 -takefocus 0 -borderwidth 1 -padx 1 -pady 1 \
	-helptext "Zoom out" -command Grh2::zoomout
    pack $Grh2::toolbox -side left -anchor w

    $Grh2::mainframe addindicator -text " (c) LAAS/CNRS 1999-2006 " 
    # Canvas
    set frame [$Grh2::mainframe getframe]
    # $frame configure  -class ScrolledCanvas 
    set ::Grh2::c [scrolledCanvas $frame]
    pack $Grh2::mainframe -fill both -expand yes
}

#----------------------------------------------------------------------

#
# Pub
#
proc Grh2::aboutBox {} {
    tk_messageBox -icon info -type ok -title "About Grh2" \
	-message  "Grh2\n\nCopyright (c) 1999-2006 LAAS/CNRS"
}

# mkIndex mode
if {![info exists argv0]} return

##
## Go
##

# Lecture des resources 
Grh2::getResources $Grh2dir/app-defaults/Graphique
# Creation fenetre 
Grh2::mainWindow
wm title . Grh2
wm deiconify .

# Une icone pour Grh2
toplevel .icon
image create photo icon 
icon read $Grh2dir/icons/diligent.gif
label .icon.l -image icon
pack .icon.l
wm iconwindow . .icon
wm iconname . grh2

Grh2::updateScrollBars

